@import "libs/shared/assets/src/global-style/variable";

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding: 0;
}

:host ::ng-deep {
  .block__left {
    display: flex;
    align-items: center;
    &-title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }

  .label__required {
    color: $bg-error-default;
  }

  .ant-upload {
    .ant-btn {
      margin-left: 0;
    }
  }

  .input__message--error {
    margin-top: 8px;
    color: $bg-error-red;
    i {
      margin-right: 8px;
    }
  }

  .ant-upload-list-item-error {
    .ant-upload-text-icon > .anticon {
      color: $bt-primary-default;
    }
    .ant-upload-list-item-name {
      color: $bt-primary-default;
    }
    .ant-upload-list-item-card-actions {
      .anticon {
        color: $bt-primary-default;
      }
    }
  }

  .ant-upload {
    display: flex;
  }

  .file-view {
    align-items: center;
    display: flex;
    padding-left: 12px;
    color: $bt-primary-default !important;
    .anticon {
      color: $bt-primary-default;
    }
    .file-name {
      padding: 0 8px;
    }
    .anticon-delete {
      border-color: $bt-primary-default;
      color: $bt-primary-default;
      width: 24px;
      height: 20px;
      padding: 3px;
      font-size: 14px;
      border-radius: 2px;
      border: 1px solid;
      margin-left: 20px;
    }
  }

  .switch-title {
    margin-left: 6px;
    font-size: 15px;
    font-weight: 500;
  }
}
